Subject: Re: [edu-team] brainstorming about tutorial documents

From: Radia Perlman <[email-masked]>
Date: Fri, 01 Jul 2005 09:34:22 -0700

How about what management, and MIBs? (what are OIDs, what management is 
trying to do...set
read parameters and send alarms, etc.)

Or DNS? (basic idea, plus stuff like how you find one server, and then 
how you find the right onw)

Or email (POP vs IMAP)

Or HTTP, or XML

Or mobileIP

Or all this telephony stuff...

Radia

Spencer Dawkins wrote:

> And, going back to Radia's initial note...
>
> I'm also interested in writing tutorials, as Radia discussed (below), 
> and am wondering what the most useful tutorials might be. Radia 
> mentioned that she had started a tutorial on IKE, but it expired while 
> she was waiting for IKEv2 to finalize.
>
> In the Protocol Model RFC, Eric/the IAB called out IKE specifically as 
> "one of the most complicated security protocols ever designed by the 
> IETF", and wrote example text for STUN, DCCP, WebDAV, and IKE.
>
> Other candidates?
>
> Spencer
>
>> But back to pure tutorials about a single WG.
>> I've been trying to advocate for tutorial documents that capture the 
>> conceptual
>> detail behind a protocol, without all the exact bits and bytes, so it 
>> is small enough to comprehend,
>> plus have a document that captures all the contentious issues and all 
>> the arguments on both sides,
>> so it could be revived in the future (if it turns out that some of 
>> the reasoning was wrong or new
>> cogent arguments appear, or so that if someone brings up the same 
>> arguments again, they are
>> already documented).
>>
>> I've been meaning to do that for IKE. I even wrote one, but let it 
>> expire. I wound up getting distracted
>> with other things, and was waiting for IKEv2 to get finalized, rather 
>> than trying to write up a somewhat
>> moving target. I keep getting emails from people asking where the 
>> draft went.
>>
>> But perhaps this is something that edu can do. Not documents to add 
>> any technical content, but to
>> tutorialize in writing things that are hard to grasp otherwise. 
>> Perhaps this should be done in the
>> same WG as the complex document. Or perhaps there could be an edu 
>> series of documents.
>> If in the WG, perhaps edu can help out by providing people to 
>> actually write the tutorial document
>> or help out with the writing. Sometimes people who have been living 
>> with something for years forget
>> what is arcane terminology...what isn't immediately apparent to 
>> someone who hasn't been in that
>> community, so it might be good to have outsiders write the tutorials.
>>
>> I'm always happy to learn new things, and once I understand them, I 
>> like writing about them.
>> If I had the cooperation of someone in the WG who would be willing to 
>> explain things to me
>> so I wouldn't have to do it cold from incomprehensible documents, or 
>> be expected to
>> read the mailing list archives to capture the contentious issues, I'd 
>> be happy to write or help write
>> such documents.
>>
>> Radia 
>
>
>
>
> _______________________________________________
> edu-team mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/edu-team

_______________________________________________
edu-team mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/edu-team